{
open Parser;;
}

rule token = parse
  | '/''/'[^'\n']* { token lexbuf }
  | [' ' '\t' '\n'] { token lexbuf }
  | '.'   { PERIOD }
  | '='   { EQ }
  | ":-"  { COLONDASH }
  | '|'   { CONS }
  | '['   { LBRACK }
  | ']'   { RBRACK }
  | '('   { LPAR }
  | ')'   { RPAR }
  | ','   { COMMA }
  | ['_' 'a'-'z' 'A'-'Z' '0'-'9']['_' 'a'-'z' 'A'-'Z' '0'-'9']* as s { ID s }
  | eof { EOF }
